Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Locking.h File Reference

## Defines
#define | TAO_WRITE_GUARD(MUTEX, OBJ, LOCK)
#define | TAO_READ_GUARD(MUTEX, OBJ, LOCK)
#define | TAO_WRITE_GUARD_RETURN(MUTEX, OBJ, LOCK, RETURN)
#define | TAO_READ_GUARD_RETURN(MUTEX, OBJ, LOCK, RETURN)

## Detailed Description

Id:
  Locking.h,v 1.9 2003/10/28 18:34:24 bala Exp

Author:
  Marina Spivak <marina@cs.wustl.edu> , Seth Widoff <sbw1@cs.wustl.edu> , Irfan Pyarali <irfan@cs.wustl.edu>

## Define Documentation

#define TAO_READ_GUARD | ( | MUTEX,
|  | OBJ,
|  | LOCK |  | ) |

| Value:
    ACE_Read_Guard<MUTEX> OBJ (LOCK); \
    if (OBJ.locked () == 0) \
      TAO_THROW (CORBA::UNKNOWN (TAO_DEFAULT_MINOR_CODE, CORBA::COMPLETED_NO));

#define TAO_READ_GUARD_RETURN | ( | MUTEX,
|  | OBJ,
|  | LOCK,
|  | RETURN |  | ) |

| Value:
    ACE_Read_Guard<MUTEX> OBJ (LOCK); \
    if (OBJ.locked () == 0) \
      TAO_THROW_RETURN (CORBA::UNKNOWN (TAO_DEFAULT_MINOR_CODE, CORBA::COMPLETED_NO), RETURN);

#define TAO_WRITE_GUARD | ( | MUTEX,
|  | OBJ,
|  | LOCK |  | ) |

| Value:
    ACE_Write_Guard<MUTEX> OBJ (LOCK); \
    if (OBJ.locked () == 0) \
      TAO_THROW (CORBA::UNKNOWN (TAO_DEFAULT_MINOR_CODE, CORBA::COMPLETED_NO));

#define TAO_WRITE_GUARD_RETURN | ( | MUTEX,
|  | OBJ,
|  | LOCK,
|  | RETURN |  | ) |

| Value:
    ACE_Write_Guard<MUTEX> OBJ (LOCK); \
    if (OBJ.locked () == 0) \
      TAO_THROW_RETURN (CORBA::UNKNOWN (TAO_DEFAULT_MINOR_CODE, CORBA::COMPLETED_NO), RETURN);